| gclib 368 Communications API for Galil controllers and PLCs |

All Data Structures Files Functions Variables Typedefs Macros Pages
Data Fields
GDataRecord52000 Struct Reference

Data record struct for DMC-52000 controller. Same as DMC-4000, with bank indicator added at byte 40. More...

`#include <gclib_record.h>`

## Data Fields
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
SW | reserved_0
| Reserved.
SW | reserved_2
| Reserved.
SW | reserved_4
| Reserved.
SW | reserved_6
| Reserved.
SW | reserved_8
| Reserved.
SW | reserved_10
| Reserved.
SW | reserved_12
| Reserved.
UB | ethercat_bank
| EtherCAT Bank Indicator.
UB | reserved_14
| Reserved.
UB | ethernet_status_a
| Ethernet Handle A Status.
UB | ethernet_status_b
| Ethernet Handle B Status.
UB | ethernet_status_c
| Ethernet Handle C Status.
UB | ethernet_status_d
| Ethernet Handle D Status.
UB | ethernet_status_e
| Ethernet Handle E Status.
UB | ethernet_status_f
| Ethernet Handle F Status.
UB | ethernet_status_g
| Ethernet Handle G Status.
UB | ethernet_status_h
| Ethernet Handle H Status.
UB | error_code
| error code.
UB | thread_status
| thread status
UL | amplifier_status
| Amplifier Status.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | t_plane_buffer_available
| Buffer space remaining, T Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_halls
| A Hall Input Status.
UB | axis_a_reserved
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SL | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UB | axis_b_halls
| B Hall Input Status.
UB | axis_b_reserved
| Reserved.
SL | axis_b_variable
| B User-defined variable (ZA).
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SL | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UB | axis_c_halls
| C Hall Input Status.
UB | axis_c_reserved
| Reserved.
SL | axis_c_variable
| C User-defined variable (ZA).
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SL | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UB | axis_d_halls
| D Hall Input Status.
UB | axis_d_reserved
| Reserved.
SL | axis_d_variable
| D User-defined variable (ZA).
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SL | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UB | axis_e_halls
| E Hall Input Status.
UB | axis_e_reserved
| Reserved.
SL | axis_e_variable
| E User-defined variable (ZA).
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SL | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UB | axis_f_halls
| F Hall Input Status.
UB | axis_f_reserved
| Reserved.
SL | axis_f_variable
| F User-defined variable (ZA).
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SL | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UB | axis_g_halls
| G Hall Input Status.
UB | axis_g_reserved
| Reserved.
SL | axis_g_variable
| G User-defined variable (ZA).
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SL | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.
UB | axis_h_halls
| H Hall Input Status.
UB | axis_h_reserved
| Reserved.
SL | axis_h_variable
| H User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-52000 controller. Same as DMC-4000, with bank indicator added at byte 40.

Definition at line 217 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h